# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add null_dag capability

Revision ID: c717f781828d
Revises: 990c5cd70082
Create Date: 2021-09-15 14:58:45.780793

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "c717f781828d"
down_revision = "990c5cd70082"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        "INSERT INTO capabilities (capability_name, capability_steps, max_jobs) VALUES "
        "('null_dag', 'prepare-and-run-workflow null_dag\nawait-workflow', 2)"
    )


def downgrade():
    op.execute("DELETE FROM capabilities WHERE capability_name = 'null_dag'")
